﻿using System;
using System.Collections.ObjectModel;
using System.Windows.Controls;

namespace SampleBinding_SL
{
	public partial class MainPage : UserControl
	{
		private MainViewModel mainVM;

		public MainPage()
		{
			InitializeComponent();

			this.mainVM = new MainViewModel();
			this.xTreeView.ItemsSource = this.mainVM;
		}
	}

	public class MainViewModel : ObservableCollection<BusinessItem>
	{
		public MainViewModel()
		{
			for (int i = 0; i < 3; i++)
			{
				BusinessItem bi = new BusinessItem()
				{
					Name = i.ToString(),
					Level = 1,
				};

				for (int j = 0; j < 5; j++)
				{
					BusinessItem bi2 = new BusinessItem()
					{
						Name = bi.Name + "." + j,
						Level = 2,
					};

					for (int k = 0; k < 3; k++)
					{
						BusinessItem bi3 = new BusinessItem()
						{
							Name = bi2.Name + "." + k,
							Level = 3,
						};
						bi2.Items.Add(bi3);
					}

					bi.Items.Add(bi2);
				}

				this.Add(bi);
			}
		}
	}

	public class BusinessItem
	{
		public override string ToString()
		{
			return this.Name + " @ " + this.Level;
		}

		public BusinessItem()
		{
			this.Items = new ObservableCollection<BusinessItem>();
		}
		public ObservableCollection<BusinessItem> Items { get; set; }
		public string Name { get; set; }
		public int Level { get; set; }
	}
}
